{
  "branches": ["main", { "name": "dev-*", "prerelease": "dev" }],
  "plugins": [
    "@semantic-release/commit-analyzer",
    "@semantic-release/release-notes-generator",
    "@semantic-release/changelog",
    [
      "@semantic-release/exec",
      {
        "prepareCmd": "./mvnw versions:set -DnewVersion=${nextRelease.version}",
        "publishCmd": "./mvnw clean package -Dquarkus.container-image.tag=${nextRelease.version} -DskipTests"
      }
    ],
    ["@saithodev/semantic-release-gitea", {
      "giteaUrl": "https://git.demonkernel.io.vn/"
      
    }]
  ]
}